#### D.15.2.33 newtonNumber

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  newtonNumber(F); F poly or Poly

Return:
  the Newton number of F (or F.value)

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8+x^3*y^5+y^2*x^5;
    Poly F = makePoly(f);
    newtonNumber(F);
    ==> 30
    newtonNumber(f);
    ==> 30

User manual for Singular version 4.4.1, 2025, generated by texi2html.